Name:		buku
Version:	4.5
Release:	%mkrel 1
Summary:	Powerful command-line bookmark manager 
Group:		Networking/WWW
License:	GPLv3+
URL:		https://github.com/jarun/Buku
Source0:	https://github.com/jarun/Buku/archive/v%{version}/%{name}-%{version}.tar.gz
BuildArch:	noarch

BuildRequires:	make

Requires:	python3dist(beautifulsoup4)
Requires:	python3dist(certifi)
Requires:	python3dist(urllib3)
Requires:	python3dist(cryptography)
Requires:	python3dist(html5lib)

%description
buku is a powerful bookmark manager written in Python3 and SQLite3.

buku fetches the title of a bookmarked web page and stores it along
with any additional comments and tags. You can use your favourite editor
to compose and update bookmarks. With multiple search options, including regex
and a deep scan mode (particularly for URLs), it can find any bookmark
instantly. Multiple search results can be opened in the browser at once.

%prep
%autosetup -p1

sed -i '1s/env //' buku

%build
# Nothing to do

%install
%make_install PREFIX=%{_prefix}

install -Dpm0644 -t %{buildroot}%{_datadir}/bash-completion/completions \
  auto-completion/bash/buku-completion.bash
install -Dpm0644 -t %{buildroot}%{_datadir}/fish/vendor_functions.d \
  auto-completion/fish/buku.fish
install -Dpm0644 -t %{buildroot}%{_datadir}/zsh/site-functions \
  auto-completion/zsh/_buku

%files
%doc CHANGELOG README.md
%license LICENSE
%{_bindir}/%{name}
%{_datadir}/bash-completion/completions/buku-completion.bash
%{_datadir}/fish/vendor_functions.d/buku.fish
%{_datadir}/zsh/site-functions/_buku
%{_mandir}/man1/%{name}.1.*


%changelog
* Mon Jan 04 2021 daviddavid <daviddavid> 4.5-1.mga8
+ Revision: 1668651
- new version: 4.5

* Wed Jun 17 2020 daviddavid <daviddavid> 4.4-1.mga8
+ Revision: 1594158
- new version: 4.4

* Thu Feb 20 2020 umeabot <umeabot> 4.3-2.mga8
+ Revision: 1546508
- Mageia 8 Mass Rebuild

* Mon Feb 03 2020 daviddavid <daviddavid> 4.3-1.mga8
+ Revision: 1486598
- new version: 4.3

* Fri May 03 2019 daviddavid <daviddavid> 4.2.2-1.mga7
+ Revision: 1396246
- new version: 4.2.2

* Tue Jan 22 2019 daviddavid <daviddavid> 4.1-1.mga7
+ Revision: 1359459
- new version: 4.1

* Fri Nov 30 2018 daviddavid <daviddavid> 4.0-2.mga7
+ Revision: 1336880
- add some missing python3 Requires

* Fri Nov 02 2018 daviddavid <daviddavid> 4.0-1.mga7
+ Revision: 1327567
- new version: 4.0

* Thu Sep 20 2018 umeabot <umeabot> 3.9-2.mga7
+ Revision: 1277785
- Mageia 7 Mass Rebuild

* Fri Aug 31 2018 daviddavid <daviddavid> 3.9-1.mga7
+ Revision: 1255804
- new version: 3.9

* Thu May 24 2018 daviddavid <daviddavid> 3.8-1.mga7
+ Revision: 1232036
- new version: 3.8

* Wed Mar 28 2018 daviddavid <daviddavid> 3.7-1.mga7
+ Revision: 1213083
- new version: 3.7

* Fri Mar 16 2018 daviddavid <daviddavid> 3.6-1.mga7
+ Revision: 1209808
- initial package buku

